You can not select more than 25 topics Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.
Dennis Sheirer efe36b0682 Updates README 6 days ago
.github/workflows Updates github action to use liberica jdk 17 plus fx libraries 9 months ago
.idea #1318 Resolves issue where bitstream recorder no longer works. Solution submitted by @apankowski. (#1345) 2 weeks ago
gradle/wrapper #1337 Updates build to use JDK19 for distribution images and updates all 3rd-party libraries to latest. Note: build system continues to be compatible with JDK 17 and 18, but Gradle 7.6 to build distribution images. Gradle 7.6 is not released yet, but RC3 is available. (#1335) 3 weeks ago
src #1318 Resolves issue where bitstream recorder no longer works. Solution submitted by @apankowski. (#1345) 2 weeks ago
.gitignore #296 APCO25 Phase II Decoder Implementation (#589) 3 years ago
CHANGELOG Updates gradle wrapper to 6.3. Updates embeded java to JDK 14 for building platform releases. (#729) 3 years ago
LICENSE Updates pull request from Roman Tsypuk to convert the build system from 5 years ago
README.md Updates README 6 days ago
build.gradle #1346 Updates radio reference library to version 15.1.9 (#1347) 2 weeks ago
copyright.template #660 Updates audio processing subsystem to use audio segments. Updates audio playback, recording and streaming to use audio segments. Adds support to UserPreferences for sound card selection and audio tone insertion during playback. Adds record preference for WAVE or MP3. Resolves issues with metadata in recordings. (#675) 3 years ago
gradlew #1337 Updates build to use JDK19 for distribution images and updates all 3rd-party libraries to latest. Note: build system continues to be compatible with JDK 17 and 18, but Gradle 7.6 to build distribution images. Gradle 7.6 is not released yet, but RC3 is available. (#1335) 3 weeks ago
gradlew.bat #1337 Updates build to use JDK19 for distribution images and updates all 3rd-party libraries to latest. Note: build system continues to be compatible with JDK 17 and 18, but Gradle 7.6 to build distribution images. Gradle 7.6 is not released yet, but RC3 is available. (#1335) 3 weeks ago
sdr-trunk.ipr #5 Playlist Editor With Radio Reference Support (#760) 3 years ago
settings.gradle - added gradle build 5 years ago

README.md

Gradle Build

sdrtrunk

A cross-platform java application for decoding, monitoring, recording and streaming trunked mobile and related radio protocols using Software Defined Radios (SDR).

sdrtrunk Application Figure 1: sdrtrunk Application Screenshot

Download the Latest Release

All release versions of sdrtrunk are available from the releases tab.

  • (alpha) These versions are under development feature previews and likely to contain bugs and unexpected behavior.
  • (beta) These versions are currently being tested for bugs and functionality prior to final release.
  • (final) These versions have been tested and are the current release version.

Minimum System Requirements

  • Operating System: Windows (32 or 64-bit), Linux (32 or 64-bit) or Mac/Linux (64-bit, 10.14 or higher)
  • CPU: 4-core
  • RAM: 8GB or more (preferred). Depending on usage, 4GB may be sufficient.